Orxonox: orxonox::Asteroids Class Reference

# orxonox::Asteroids Class Reference

`#include <src/orxonox/objects/gametypes/Asteroids.h>`

Inheritance diagram for orxonox::Asteroids:

List of all members.

## Public Member Functions

| Asteroids (BaseObject *creator)
virtual void | end ()
void | firstCheckpointReached (bool reached)
virtual void | start ()
virtual void | tick (float dt)
| Gets called every frame.
virtual | ~Asteroids ()

## Protected Member Functions

virtual void | pawnKilled (Pawn *victim, Pawn *killer=0)

## Private Attributes

bool | firstCheckpointReached_
bool | gameEnded_

## Constructor & Destructor Documentation

orxonox::Asteroids::Asteroids | ( | BaseObject * | creator | ) |

References firstCheckpointReached_, and RegisterObject.

virtual orxonox::Asteroids::~Asteroids | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::Asteroids::end | ( |  | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

References orxonox::Host::Broadcast(), COUT, and orxonox::Gametype::end().

Referenced by pawnKilled(), tick(), and orxonox::CheckPoint::triggered().

void orxonox::Asteroids::firstCheckpointReached | ( | bool | reached | ) | `[inline]`

Referenced by orxonox::CheckPoint::triggered().

void orxonox::Asteroids::pawnKilled | ( | Pawn * | victim,
|  | Pawn * | killer = `0` |
| ) |  |  | `[protected, virtual]`

Reimplemented from orxonox::Gametype.

References end(), orxonox::ControllableEntity::getPlayer(), orxonox::Gametype::gtinfo_, and orxonox::GametypeInfo::sendAnnounceMessage().

void orxonox::Asteroids::start | ( |  | ) | `[virtual]`

Reimplemented from orxonox::Gametype.

References orxonox::Host::Broadcast(), COUT, and orxonox::Gametype::start().

void orxonox::Asteroids::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Reimplemented from orxonox::Gametype.

References end(), firstCheckpointReached_, orxonox::Gametype::gtinfo_, orxonox::Gametype::hasEnded(), orxonox::GametypeInfo::sendAnnounceMessage(), orxonox::Gametype::startTimer(), SUPER, and orxonox::Gametype::timerIsActive_.

## Member Data Documentation

bool orxonox::Asteroids::firstCheckpointReached_`[private]`

Referenced by Asteroids(), and tick().

bool orxonox::Asteroids::gameEnded_`[private]`

The documentation for this class was generated from the following files:

- src/orxonox/objects/gametypes/Asteroids.h
- src/orxonox/objects/gametypes/Asteroids.cc